package top.daxian1218.dust.service.common;

import org.apache.commons.lang3.StringUtils;
import top.daxian1218.dust.commons.exception.DustSystemException;

/**
 * 微服务异常基类
 * @author hst
 */
public class DustMsException extends DustSystemException {

    public DustMsException(String message) {
        super(message, "0001", null);
    }
    public DustMsException(String message, String error, Throwable cause) {
        super(message, StringUtils.isEmpty(error) ? "0001" : error, cause);
    }

}
