/**
 * everything will be ok
 *
 * @author : huangxianhui
 * @Version :
 * @Date : 2016年2月3日 下午1:12:56
 */
package top.daxian1218.dust.service.util;

import org.springframework.context.support.PropertySourcesPlaceholderConfigurer;
import top.daxian1218.dust.commons.util.Base64Util;

/**
 * 继承PropertyPlaceholderConfigurer 支持密文属性的属性配置器
 */
public class EnProperty extends PropertySourcesPlaceholderConfigurer {

    @Override
    protected String convertProperty(String propertyName, String propertyValue) {
        if (isEncryptProp(propertyName)) {
            String decryptValue = Base64Util.decodeEx(propertyValue);
            return decryptValue;
        } else {
            return propertyValue;
        }
    }

    /**
     * 判断是否是加密的属性
     *
     * @param propertyName
     * @return
     */
    private boolean isEncryptProp(String propertyName) {
        if (propertyName.endsWith("_e"))
            return true;
        else
            return false;
    }
}
