package top.daxian1218.dust.service.security.jwt;

import com.alibaba.fastjson.JSONObject;
import org.springframework.security.core.Authentication;

import javax.servlet.http.HttpServletRequest;

/**
 * 第三方认证操作接口
 *
 * @author hst
 */
public interface IAuthentication {

    String AUTHORIZE_ERROR = "AUTHORIZE_ERROR";
    String AUTHORIZATION_HEADER = "Authorization";
    String AUTHORIZATION_PARAMETER = "token";
    String TOKEN_BEARER_PREFIX = "Bearer ";

    boolean validateRequest(HttpServletRequest request);

    String createToken(Authentication authentication, Boolean rememberMe);

    String createRefreshToken(Authentication authentication);
}
